# Poco::Net

# template < class S >

# class TCPServerConnectionFactoryImpl

Library: Net
Package: TCPServer
Header: Poco/Net/TCPServerConnectionFactory.h

## Description

This template provides a basic implementation of TCPServerConnectionFactory.

## Inheritance

Direct Base Classes: TCPServerConnectionFactory

All Base Classes: TCPServerConnectionFactory

## Member Summary

Member Functions: createConnection

Inherited Functions: createConnection

## Constructors

### TCPServerConnectionFactoryImpl

TCPServerConnectionFactoryImpl();

## Destructor

### ~TCPServerConnectionFactoryImpl

~TCPServerConnectionFactoryImpl();

## Member Functions

### createConnection

TCPServerConnection * createConnection(
const StreamSocket & socket
);

See also: Poco::Net::TCPServerConnectionFactory::createConnection()